defmodule Nulla.Models.Bookmark do
  use Ecto.Schema
  import Ecto.Changeset
  import Ecto.Query
  alias Nulla.Repo
  alias Nulla.Models.Bookmark

  @primary_key {:id, :integer, autogenerate: false}
  schema "bookmarks" do
    field :url, :string
    field :user_id, :id

    timestamps(type: :utc_datetime)
  end

  @doc false
  def changeset(bookmark, attrs) do
    bookmark
    |> cast(attrs, [:url, :user_id])
    |> validate_required([:url, :user_id])
  end

  def get_all_bookmarks!(user_id), do: Repo.all(from n in Bookmark, where: n.user_id == ^user_id)
end
