defmodule NullaWeb.HostmetaController do
  use NullaWeb, :controller
  alias Nulla.Models.InstanceSettings

  def index(conn, _params) do
    instance_settings = InstanceSettings.get_instance_settings!()
    domain = instance_settings.domain

    xml = """
    <?xml version="1.0" encoding="UTF-8"?>
    <XRD xmlns="http://docs.oasis-open.org/ns/xri/xrd-1.0">
      <Link rel="lrdd" type="application/xrd+xml" template="https://#{domain}/.well-known/webfinger?resource={uri}"/>
    </XRD>
    """

    conn
    |> put_resp_content_type("application/xrd+xml")
    |> send_resp(200, xml)
  end
end
